<template>
  <div>
    <label v-if="label != null" :for="id" class="text-indigo-600">{{
        label
      }}</label>
    <div class="mt-2 grid grid-cols-3 justify-items-center">
      <label
          class="inline-flex items-center"
          v-for="([valuefield,text], key) in values"
          :key="key"
      >
        <input
            type="radio"
            class="form-radio text-indigo-600"
            :value="valuefield"
            :name="name"
            :checked="valuefield == value"
            @change="$emit('change', $event)"
        />
        <span class="ml-2">{{ text }}</span>
      </label>
    </div>
  </div>
</template>

<script>
export default {
  name: "RadioField",
  props: {
    id: String,
    values: {
      type: Array,
      default: ()=>[]
    },
    name: String,
    label: {
      default: null,
      Type: String
    },
    value: {
      default: "",
      type: String
    }
  }
}
</script>

<style scoped></style>
